//Assume Java, C#, C++, etc.

class Instructor {
  private Eraser eraser;

  public void erase() {
    eraser.erase(); //delegate
  }
}

//That is noisy, voilates the DRY priniciple, and also violates the Open-Closed Principle.

//Or

class Instructor extends Eraser {
  //we don't have to write the erase method.
}

//But, this is terrible because Instructor can be sent to a function that
//is expecting an Eraser.

//No Instructor may want to be used as an eraser, no thanks.

